package cn.ibizlab.assetmanagement.core.plan.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.plan.domain.EAMPlanSchedule;
/**
 * 关系型数据实体[EAMPlanSchedule] 查询条件对象
 */
@Slf4j
@Data
public class EAMPlanScheduleSearchContext extends QueryWrapperContext<EAMPlanSchedule> {

	private String n_eamplanschedulename_like;//[维护计划时刻设置名称]
	public void setN_eamplanschedulename_like(String n_eamplanschedulename_like) {
        this.n_eamplanschedulename_like = n_eamplanschedulename_like;
        if(!ObjectUtils.isEmpty(this.n_eamplanschedulename_like)){
            this.getSearchCond().like("eamplanschedulename", n_eamplanschedulename_like);
        }
    }
	private String n_eamplanid_eq;//[维护计划标识]
	public void setN_eamplanid_eq(String n_eamplanid_eq) {
        this.n_eamplanid_eq = n_eamplanid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamplanid_eq)){
            this.getSearchCond().eq("eamplanid", n_eamplanid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamplanschedulename", query)   
            );
		 }
	}
}



